Get Key
GET/projects/:projectId/providers/Aruba.Security/kms/:id/keys/:keyId
Get Key
Request
Path Parameters
projectId stringrequired
id stringrequired
keyId stringrequired
Query Parameters
api-version string
The requested API version
Default value:
1Responses
- 200
- 404
- 500
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
keyId stringnullable
Kms key id
privateKeyId stringnullable
Kms Private key id
name stringnullable
Kms key name
algorithm KeyAlgorithms (string)
Possible values: [Aes, Rsa]
creationSource KeyCreationSource (string)
Possible values: [Cmp, Other]
type KeyTypes (string)
Possible values: [Symmetric, Asymmetric]
status KeyStatuses (string)
Possible values: [Active, InCreation, Deleting, Deleted, Failed]
{
"keyId": "string",
"privateKeyId": "string",
"name": "string",
"algorithm": "Aes",
"creationSource": "Cmp",
"type": "Symmetric",
"status": "Active"
}
- Schema
- Example (from schema)
Schema
keyId stringnullable
Kms key id
privateKeyId stringnullable
Kms Private key id
name stringnullable
Kms key name
algorithm KeyAlgorithms (string)
Possible values: [Aes, Rsa]
creationSource KeyCreationSource (string)
Possible values: [Cmp, Other]
type KeyTypes (string)
Possible values: [Symmetric, Asymmetric]
status KeyStatuses (string)
Possible values: [Active, InCreation, Deleting, Deleted, Failed]
{
"keyId": "string",
"privateKeyId": "string",
"name": "string",
"algorithm": "Aes",
"creationSource": "Cmp",
"type": "Symmetric",
"status": "Active"
}
- Schema
- Example (from schema)
Schema
keyId stringnullable
Kms key id
privateKeyId stringnullable
Kms Private key id
name stringnullable
Kms key name
algorithm KeyAlgorithms (string)
Possible values: [Aes, Rsa]
creationSource KeyCreationSource (string)
Possible values: [Cmp, Other]
type KeyTypes (string)
Possible values: [Symmetric, Asymmetric]
status KeyStatuses (string)
Possible values: [Active, InCreation, Deleting, Deleted, Failed]
{
"keyId": "string",
"privateKeyId": "string",
"name": "string",
"algorithm": "Aes",
"creationSource": "Cmp",
"type": "Symmetric",
"status": "Active"
}
Not Found
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error
Loading...